<TeXmacs|0.3.5.14>

<style|rsection>

<\body>
  <with|font series|bold|Layout and code snippets macros>

  <assign|noparskip|<macro|body|<with|interparagraph
  space|0cm|<arg|body>><vspace|<value|interparagraph space>>>>

  <assign|indent step|4spc>

  <assign|indent|<macro|body|<with|left margin|<plus|<apply|left
  margin>|<apply|indent step>>|<arg|body>>>>

  <assign|visibility|<macro|x|<with|left margin|<minus|<value|left
  margin>|<value|indent step>>|<keyw|<arg|x>:>>>>

  <assign|code|<macro|c|<indent|<with|interparagraph
  space|0|<surround|<format|enable first indentation>|<vspace|0.5fn>|<arg|c>>\
  >>>>

  <assign|NULL|<with|font family|tt|NULL>>

  \;

  \;

  <with|font series|bold|Shell and filesystem related macros>

  Name of a program that can be typed on the shell prompt or asked about
  using man, or info.

  <assign|sh|<macro|arg1|<with|font family|tt|<arg|arg1>>>>

  Fragment of a script for the <sh|bash> shell. On a GNU/Linux system, this
  can generally be typed on the command-line prompt.

  <assign|bash|<macro|arg1|<with|font family|tt|<arg|arg1>>>>

  Option that can be passed to some shell command.

  <assign|shopt|<macro|text|<with|font family|tt|<arg|text>>>>

  Name of a source file.

  <assign|file|<macro|name|<with|font family|tt|<arg|name>>>>

  Name of a filesystem directory.

  <assign|dir|<macro|name|<with|font family|tt|<arg|name>>>>

  Full path.

  <assign|path|<macro|thedir|thefile|<dir|<arg|thedir>><with|font
  family|tt|/><file|<arg|thefile>>>>

  \;

  Name of C++ language

  <assign|c++|<group|<with|font family|ss|C><move|+<space|-.75spc>+|-.5spc|-.\
  13fn>>>

  Name of C language

  <assign|c|<with|font family|ss|C>>

  \;

  <with|font series|bold|Utility typesetting macros>

  <assign|bold series|<macro|t|<with|font series|bold|math font
  series|bold|<arg|t>>>>

  <assign|medium series|<macro|t|<with|font series|medium|math font
  series|bold|<arg|t>>>>

  <assign|typewriter medium right|<macro|t|<expand|medium series|<with|font
  family|tt|font shape|right|<arg|t>>>>>

  <assign|typewriter medium italic|<macro|t|<expand|medium series|<with|font
  family|tt|font shape|italic|<arg|t>>>>>

  <assign|roman bold right|<macro|t|<expand|bold series|<with|font
  family|rm|font shape|right|<arg|t>>>>>

  <assign|roman medium italic|<macro|t|<expand|medium series|<with|font
  family|rm|font shape|italic|<arg|t>>>>>

  <assign|roman medium slanted|<macro|t|<expand|medium series|<with|font
  family|rm|font series|medium|font shape|slanted|<arg|t>>>>>

  <assign|ss medium right|<macro|t|<expand|medium series|<with|font
  family|ss|font shape|right|<arg|t>>>>>

  \;

  <\with|font series|bold>
    Basic C++ language macros
  </with>

  Name of a preprocessor symbol

  <assign|cpp|<macro|x|<expand|typewriter medium right|<arg|x>>>>

  Name of a variable found in the source.

  <assign|var|<macro|name|<expand|roman medium italic|<arg|name>>>>

  Name of a data type, structure, class, etc. found in the source.

  <assign|type|<macro|type|<expand|roman medium slanted|<arg|type>>>>

  Name of a constant value (#define, const variable, etc.)

  <assign|const|<macro|name|<expand|typewriter medium right|<arg|name>>>>

  Literal character string

  <assign|litstr|<macro|str|<expand|typewriter medium right|"<arg|str>">>>

  Literal character code

  <assign|litchr|<macro|c|<expand|typewriter medium right|'<arg|c>'>>>

  Literal numeric value

  <assign|litnum|<macro|x|<with|mode|math|<arg|x>>>>

  Name of a function, a method or a paraterized macro.

  <assign|func|<macro|func|<expand|roman bold right|<arg|func>>>>

  A C++ operator, can pretty print some operators.

  <assign|oper|<func|op|<with|mode|math|<case|<equal|<apply|op>|<quote|-\<gtr\
  \>>>|\<rightarrow\>|<equal|<apply|op>|<quote|~>>|\<sim\>|<equal|<apply|op>|\
  <quote|*>>|\<star\>|<equal|<apply|op>|<quote|!=>>|\<neq\>|<equal|<apply|op>\
  |<quote|==>>|\<equiv\>|<equal|<apply|op>|<quote|\<less\>\<less\>>>|\<ll\>|<\
  equal|<apply|op>|<quote|\<gtr\>\<gtr\>>>|\<gg\>|<equal|<apply|op>|<quote|\<\
  less\>=>>|\<leqslant\>|<equal|<apply|op>|<quote|\<gtr\>=>>|\<geqslant\>|<eq\
  ual|<apply|op>|<quote|[]>>|[\<cdot\>]|<equal|<apply|op>|<quote|()>>|(\<cdot\
  \>)|<apply|op>>>>>

  A C++ keyword.

  <assign|keyw|<macro|keyw|<expand|ss medium right|<arg|keyw>>>>

  Name of a gencc module

  <assign|module|<macro|name|<expand|typewriter medium italic|<arg|name>>>>

  A end-of-line comment

  <assign|//|<macro|//|<htab|5mm><with|font size|0.84|<arg|//>>>>

  <assign|cmnt|<value|//>>

  A block comment

  <assign|/*|<value|quote>>

  \;

  <with|font series|bold|Advanced C++ language macros>

  A qualified method name.

  <assign|qmeth|<macro|class|meth|<type|<arg|class>><apply|oper|::><expand|fu\
  nc|<arg|meth>>>>

  A message sent to a object of a given class after dereferencing (with the
  -\<gtr\> operator).

  <assign|ptrmsg|<macro|class|meth|<type|<arg|class>><apply|oper|-\<gtr\>><ex\
  pand|func|<arg|meth>>>>

  A function prototype with a structured parameter signature

  <assign|funcproto|<macro|r|f|p|<type|<arg|r>><if|<equal|<arg|r>|>||
  ><expand|func|<arg|f>> (<with|param-sep||optparam|<macro|t|n|v|<value|param\
  -sep><type|<arg|t>><if|<unequal|<arg|n>|>|
  ><var|<arg|n>><if|<unequal|<arg|v>|>|<apply|oper|=><arg|v>><assign|param-se\
  p|, >>|param|<macro|t|n|<optparam|<arg|t>|<arg|n>|>>|<arg|p>>)>>

  A methode prototype

  <assign|methproto|<macro|r|c|m|p|<funcproto|<arg|r>|<qmeth|<arg|c>|<arg|m>>\
  |<arg|p>>>>

  A template class

  <assign|template|<macro|t|p|<type|<arg|t>><with|mode|math|<left|langle>><wi\
  th|param-sep||param|<macro|t|n|<value|param-sep><type|<arg|t>><assign|param\
  -sep|, >>|<arg|p>><with|mode|math|<right|rangle>>>>

  \;

  <with|font series|bold|Scheme language macros>

  Name of a Scheme variable.

  <assign|svar|<macro|name|<expand|typewriter medium right|<arg|name>>>>

  Name of a Scheme function.

  <assign|sfunc|<macro|name|<expand|typewriter medium right|<arg|name>>>>

  \;

  <\with|font series|bold>
    Macros for documenting macros
  </with>

  <assign|macro|<macro|name|body|<with|mode|math|<left|langle><with|mode|text\
  |<arg|name>><if|<equal|<arg|body>|>||\|><with|mode|text|<arg|body>><right|r\
  angle>>>>

  <assign|macrodemo|<macro|name|text|<expand|macro|<arg|name>|<arg|text>><wit\
  h|mode|math|\<mapsto\>>>>

  \;

  <with|font series|bold|Overly structured definitions>

  <assign|class|<macro|thename|body|<rsection|Class
  <type|<arg|thename>>|<with|theclass|<arg|thename>|<arg|body>>>>>

  <assign|interface|<macro|thelabel|body|<rsection|<arg|thelabel>|<with|inter\
  paragraph space|0|first indentation|0|<arg|body>>>>>

  <assign|constructors|<macro|body|<interface|Constructors|<arg|body>>>>

  <assign|members|<macro|body|<interface|Members|<arg|body>>>>

  <assign|functions|<macro|body|<interface|Functions|<arg|body>>>>

  <assign|ctorproto|<macro|p|<funcproto||<value|theclass>|<arg|p>>>>

  <assign|dtorproto|<funcproto||<apply|oper|~><value|theclass>|>>

  <assign|operproto|<macro|r|o|p|<funcproto|<arg|r>|<keyw|operator>
  <apply|oper|<arg|o>>|<arg|p>>>>

  <assign|castproto|<macro|t|<funcproto||<keyw|operator> <type|<arg|t>|>>>>
</body>

<\initial>
  <\collection>
    <associate|preamble|true>
    <associate|odd page margin|5mm>
    <associate|paragraph width|6.5in>
    <associate|page medium|automatic>
    <associate|shrinking factor|6>
    <associate|page right margin|5mm>
    <associate|page top margin|5mm>
    <associate|reduction page right margin|0.7in>
    <associate|reduction page bottom margin|0.3in>
    <associate|page type|letter>
    <associate|reduction page left margin|0.7in>
    <associate|even page margin|5mm>
    <associate|page height|1209600unit>
    <associate|page bottom margin|5mm>
    <associate|reduction page top margin|0.3in>
    <associate|page width|998400unit>
  </collection>
</initial>
